Subject: LSP

From: "krishnakanth.rao" <[email-masked]>
Date: Wed, 3 Oct 2001 06:02:15 -0400

1. How are label switch paths created
2. Are they created before traffic starts flowing in an MPLS network or can they be created once packets starts flowing.
3. How do individual routers (LSR) know which label to distribute to its peer for different LSP's since the label value has a ditect bearing to the LSP's.
4. Are the LSP's created by the network administrators

Krishnakanth

---

From: [email-masked]
Date: Wed, 3 Oct 2001 11:39:41 -0400

Hello,

Currently, I am looking for all of the possible defined message types for
RSVP.

RFC 2205 defines values 1-7
RFC 2745 defines values 8 and 9
RFC 2747 defines values 11 and 12
RFC 3097 redefines the values that were defined in 2747 as 25 and 26
RFC 2961 defines values 12, 13, and 15

1. Are there any defined values that I am missing?
2. Because type 11 was redefined in RFC 2747, does that mean that it is
now undefined?  I am assuming yes.

Thanks,
-Ben

---

From: Ajay Simha <[email-masked]>
Date: Wed, 3 Oct 2001 11:49:53 -0400 (Eastern Daylight Time)

On Wed, 3 Oct 2001, krishnakanth.rao wrote:

k>1. How are label switch paths created

They are created using control protocols like LDP/RSVP.

k>2. Are they created before traffic starts flowing in an MPLS network or
k>can they be created once packets starts flowing.

They are typically created when LSRs' routing protocols converge.  But they
could be created after packtes are being forwarded using hop-by-hop forwarding
(IP).

k>3. How do individual routers (LSR) know which label to distribute to its
k>peer for different LSP's since the label value has a ditect bearing to the

They are generated randomly by each LSR on a per-fec basis and the LSR then
tracks which labels are assigned to which FEC.  It could also keep track of
this on a per-interface/per-fec basis.

k>LSP's. 4. Are the LSP's created by the network administrators

Could be for TE....

You should read the RFCs/Drafts they explain most of this.

-ajay
k>
k>Krishnakanth
k>

-- 
Ajay Simha
MPLS Deployment Engineer
IOS Technology Division
(919) 392-3141

"Study as if you were to live forever
 Live as if you were to die tomorrow"

 - Mahatma Gandhi

---

From: Ray Qiu <[email-masked]>
Date: Wed, 3 Oct 2001 09:36:52 -0700

> 1. Are there any defined values that I am missing?

draft-ietf-mpls-rsvp-lsp-tunnel-09.txt defines value 20(0x14) for RSVP-TE Hello. 

Thanks,
Ray